wxWidgets2.5: various wxWidgets2.5 packages should conflict with wxWindows2.4 packages

Bug #14648 reported by Debian Bug Importer on 2005-03-28
4
Affects Status Importance Assigned to Milestone
Debian
Fix Released
Unknown
Ubuntu
High
LaMont Jones

Bug Description

Automatically imported from Debian bug report #287623 http://bugs.debian.org/287623

reassign 287623 wxwidgets2.5

Thanks Mate :)

Reassigning this bug to the source package because there are other cases
where conflicts between wxWindows2.4 and wxWidgets2.5 are needed.

Helen.

Hello,

I reassigned this bug to the source package because, on inspection,
there are more conflicting things than the one listed in the original
bug report. It actually seems like a fair bit of wxWindows2.4 has
overlapping files with wxWidgets2.5.

Here is a list of the overlapping things I found:

A)
/usr/bin/wxrc is in libwxgtk2.4-contrib-dev and in wx2.5-common
(and the manpages for those also overlap)

B)
helpviewer img2py pyalacarte pycrust pywrap xrced
img2png img2xpm pyalamode pyshell pywxrc

are in /usr/bin for wxpython2.5.3 and for libwxgtk2.4-python
(and their manpages)

C)
/usr/share/aclocal/wxwwin.m4
is in wx2.5-common and in wxwin2.4-headers.

wx-config.1.gz
is in /usr/share/man/man1 for wx2.5-common and for wxwin2.4-headers.

D) lots of stuff is the same iin /usr/share/locale
for wx2.5-i18n and in wxwin2.4-i18n.

E)
wx.pth and wxversion.py
are in usr/lib/python2.3/site-packages in wxpython2.5.3

So, I think that several of the wxWidgets2.5 packages need to conflict
with several of the wxWindows2.4 packages. I changed the debian/control
file like this:

debian/control
--- debian/control~ 2004-11-12 11:00:33.000000000 +0000
+++ debian/control 2005-01-08 16:23:49.000000000 +0000
@@ -81,7 +81,7 @@
  Section: python
  Depends: libwxgtk2.5.3-python, python2.3, ${shlibs:Depends}
  Suggests: wxwin2.5-doc, wxwin2.5-examples, python2.3-xml
-Conflicts: wxpython
+Conflicts: wxpython, libwxgtk2.4-python
  Replaces: wxpython, libwxgtk2.4-python
  Provides: wxpython
  Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython common
files)
@@ -96,7 +96,7 @@
  Architecture: any
  Section: devel
  Depends: ${shlibs:Depends}
-Conflicts: wx-common
+Conflicts: wx-common, libwxgtk2.4-contrib-dev, wxwin2.4-headers
  Replaces: wx-common, wxwin2.4-headers, libwxgtk2.4-contrib-dev
  Provides: wx-common
  Description: wxWidgets Cross-platform C++ GUI toolkit (common support
files)
@@ -122,8 +122,8 @@
  Package: wx2.5-i18n
  Architecture: all
  Section: libs
-Conflicts: wx-i18n, wxwin-i18n
-Replaces: wx-i18n, wxwin-i18n
+Conflicts: wx-i18n, wxwin-i18n, wxwin2.4-i18n
+Replaces: wx-i18n, wxwin-i18n, wxwin2.4-i18n
  Provides: wx-i18n
  Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
   wxWidgets (formerly known as wxWindows) is a class library for C++
providing

Thanks,

Helen

PS. Thanks for packaging wxWidgets! I use it all the time and I like it :)

tags 287623 +patch
retitle 287623 wxWidgets2.5: various wxWidgets2.5 packages should
conflict with wxWindows2.4 packages

Thanks Mate :)

retitle 287623 wxWidgets2.5: various wxWidgets2.5 packages should conflict with wxWindows2.4 packages

Thanks Mate :)

Hi Helen,

thanks for the detailed description of where things went wrong
for you, everything is currently in the process of being shuffled
around to support concurrent installs of 2.4 and 2.5 so some of
these are known and a different fix is on its way -- as doko noted,
we don't really _want_ these things to conflict, otherwise it
becomes very hard for people to migrate from one version to
the next -- I've got a couple of things queued up while I wait
for upstream cvs to stabilise around my latest changes again,
but as soon as we can make a clean snapshot once more I'll get one
uploaded to fix this and other things.

> E)
> wx.pth and wxversion.py
> are in usr/lib/python2.3/site-packages in wxpython2.5.3

This one is curious though, as they surely don't conflict with
any wx2.4 package. What was the trouble there?

thanks,
Ron

Hi Ron,

> thanks for the detailed description of where things went wrong
> for you, everything is currently in the process of being shuffled
> around to support concurrent installs of 2.4 and 2.5 so some of
> these are known and a different fix is on its way -- as doko noted,
> we don't really _want_ these things to conflict, otherwise it
> becomes very hard for people to migrate from one version to
> the next -- I've got a couple of things queued up while I wait
> for upstream cvs to stabilise around my latest changes again,
> but as soon as we can make a clean snapshot once more I'll get one
> uploaded to fix this and other things.

Thanks for explaining that :) I can see that it is tangled and I'm glad
I'm not the one having to sort it all out...

What happened is that the Debian Women group is running a little bug
squashing effort, in conjunction with the main BSP, so I was hanging
about asking someone if there was a nice easy bug I could look at, and
Steve Langasek suggested 287623, which pleased me because I use
wxWidgets all the time, so I know something about it already. So I
looked to see if there were other overlapping files between wxWindows2.4
and wxWidgets2.5, realised there were quite a lot, and changed the bug
to reflect that (I asked some advice on what to do - as you might guess
I haven't had much practise at this kind of thing, yet).

>>E)
>>wx.pth and wxversion.py
>>are in usr/lib/python2.3/site-packages in wxpython2.5.3
>
>
> This one is curious though, as they surely don't conflict with
> any wx2.4 package. What was the trouble there?

Ahh, sorry! That shouldn't be there. It's a leftover from when I went
through listing things that didn't have "versioned" names in wx*2.5 and
therefore might have overlapping things in wx*2.4. Please ignore that
and sorry for the mistake.

Best wishes,

Helen.

# Automatically generated email from bts, devscripts version 2.8.10
tags 287623 + pending

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #287623 http://bugs.debian.org/287623

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 29 Dec 2004 07:59:47 +0100
From: Matthias Klose <email address hidden>
To: <email address hidden>
Subject: libwxgtk2.4-python and wxpython2.5.3 have conflicting files without a package conflict

Package: wxpython2.5.3
Severity: serious

/usr/bin/helpviewer is contained in both packages, but the packages
don't conflict (and I assume they should not conflict).

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 08 Jan 2005 16:20:20 +0000
From: Helen Faulkner <email address hidden>
To: <email address hidden>
Subject: reassigning wxThing bug

reassign 287623 wxwidgets2.5

Thanks Mate :)

Reassigning this bug to the source package because there are other cases
where conflicts between wxWindows2.4 and wxWidgets2.5 are needed.

Helen.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 08 Jan 2005 16:32:21 +0000
From: Helen Faulkner <email address hidden>
To: <email address hidden>
Subject: Re: libwxgtk2.4-python and wxpython2.5.3 have conflicting files without a package conflict

Hello,

I reassigned this bug to the source package because, on inspection,
there are more conflicting things than the one listed in the original
bug report. It actually seems like a fair bit of wxWindows2.4 has
overlapping files with wxWidgets2.5.

Here is a list of the overlapping things I found:

A)
/usr/bin/wxrc is in libwxgtk2.4-contrib-dev and in wx2.5-common
(and the manpages for those also overlap)

B)
helpviewer img2py pyalacarte pycrust pywrap xrced
img2png img2xpm pyalamode pyshell pywxrc

are in /usr/bin for wxpython2.5.3 and for libwxgtk2.4-python
(and their manpages)

C)
/usr/share/aclocal/wxwwin.m4
is in wx2.5-common and in wxwin2.4-headers.

wx-config.1.gz
is in /usr/share/man/man1 for wx2.5-common and for wxwin2.4-headers.

D) lots of stuff is the same iin /usr/share/locale
for wx2.5-i18n and in wxwin2.4-i18n.

E)
wx.pth and wxversion.py
are in usr/lib/python2.3/site-packages in wxpython2.5.3

So, I think that several of the wxWidgets2.5 packages need to conflict
with several of the wxWindows2.4 packages. I changed the debian/control
file like this:

debian/control
--- debian/control~ 2004-11-12 11:00:33.000000000 +0000
+++ debian/control 2005-01-08 16:23:49.000000000 +0000
@@ -81,7 +81,7 @@
  Section: python
  Depends: libwxgtk2.5.3-python, python2.3, ${shlibs:Depends}
  Suggests: wxwin2.5-doc, wxwin2.5-examples, python2.3-xml
-Conflicts: wxpython
+Conflicts: wxpython, libwxgtk2.4-python
  Replaces: wxpython, libwxgtk2.4-python
  Provides: wxpython
  Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython common
files)
@@ -96,7 +96,7 @@
  Architecture: any
  Section: devel
  Depends: ${shlibs:Depends}
-Conflicts: wx-common
+Conflicts: wx-common, libwxgtk2.4-contrib-dev, wxwin2.4-headers
  Replaces: wx-common, wxwin2.4-headers, libwxgtk2.4-contrib-dev
  Provides: wx-common
  Description: wxWidgets Cross-platform C++ GUI toolkit (common support
files)
@@ -122,8 +122,8 @@
  Package: wx2.5-i18n
  Architecture: all
  Section: libs
-Conflicts: wx-i18n, wxwin-i18n
-Replaces: wx-i18n, wxwin-i18n
+Conflicts: wx-i18n, wxwin-i18n, wxwin2.4-i18n
+Replaces: wx-i18n, wxwin-i18n, wxwin2.4-i18n
  Provides: wx-i18n
  Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
   wxWidgets (formerly known as wxWindows) is a class library for C++
providing

Thanks,

Helen

PS. Thanks for packaging wxWidgets! I use it all the time and I like it :)

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 08 Jan 2005 17:12:53 +0000
From: Helen Faulkner <email address hidden>
To: <email address hidden>
Subject: retitle and patch of 287623 (wxWidgets conflicts)

tags 287623 +patch
retitle 287623 wxWidgets2.5: various wxWidgets2.5 packages should
conflict with wxWindows2.4 packages

Thanks Mate :)

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 08 Jan 2005 17:26:53 +0000
From: Helen Faulkner <email address hidden>
To: <email address hidden>
Subject: retitle 287623 (wxWidgets conflicts) properly this time...

retitle 287623 wxWidgets2.5: various wxWidgets2.5 packages should conflict with wxWindows2.4 packages

Thanks Mate :)

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 9 Jan 2005 11:38:53 +1030
From: Ron <email address hidden>
To: Helen Faulkner <email address hidden>, <email address hidden>
Subject: Re: Bug#287623: libwxgtk2.4-python and wxpython2.5.3 have conflicting files without a
 package conflict

Hi Helen,

thanks for the detailed description of where things went wrong
for you, everything is currently in the process of being shuffled
around to support concurrent installs of 2.4 and 2.5 so some of
these are known and a different fix is on its way -- as doko noted,
we don't really _want_ these things to conflict, otherwise it
becomes very hard for people to migrate from one version to
the next -- I've got a couple of things queued up while I wait
for upstream cvs to stabilise around my latest changes again,
but as soon as we can make a clean snapshot once more I'll get one
uploaded to fix this and other things.

> E)
> wx.pth and wxversion.py
> are in usr/lib/python2.3/site-packages in wxpython2.5.3

This one is curious though, as they surely don't conflict with
any wx2.4 package. What was the trouble there?

thanks,
Ron

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 09 Jan 2005 11:21:03 +0000
From: Helen Faulkner <email address hidden>
To: <email address hidden>
Subject: Re: Bug#287623: libwxgtk2.4-python and wxpython2.5.3 have conflicting
 files without a package conflict

Hi Ron,

> thanks for the detailed description of where things went wrong
> for you, everything is currently in the process of being shuffled
> around to support concurrent installs of 2.4 and 2.5 so some of
> these are known and a different fix is on its way -- as doko noted,
> we don't really _want_ these things to conflict, otherwise it
> becomes very hard for people to migrate from one version to
> the next -- I've got a couple of things queued up while I wait
> for upstream cvs to stabilise around my latest changes again,
> but as soon as we can make a clean snapshot once more I'll get one
> uploaded to fix this and other things.

Thanks for explaining that :) I can see that it is tangled and I'm glad
I'm not the one having to sort it all out...

What happened is that the Debian Women group is running a little bug
squashing effort, in conjunction with the main BSP, so I was hanging
about asking someone if there was a nice easy bug I could look at, and
Steve Langasek suggested 287623, which pleased me because I use
wxWidgets all the time, so I know something about it already. So I
looked to see if there were other overlapping files between wxWindows2.4
and wxWidgets2.5, realised there were quite a lot, and changed the bug
to reflect that (I asked some advice on what to do - as you might guess
I haven't had much practise at this kind of thing, yet).

>>E)
>>wx.pth and wxversion.py
>>are in usr/lib/python2.3/site-packages in wxpython2.5.3
>
>
> This one is curious though, as they surely don't conflict with
> any wx2.4 package. What was the trouble there?

Ahh, sorry! That shouldn't be there. It's a leftover from when I went
through listing things that didn't have "versioned" names in wx*2.5 and
therefore might have overlapping things in wx*2.4. Please ignore that
and sorry for the mistake.

Best wishes,

Helen.

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sun, 13 Feb 2005 23:17:57 +1030
From: Ron <email address hidden>
To: <email address hidden>
Subject: tagging 287623

# Automatically generated email from bts, devscripts version 2.8.10
tags 287623 + pending

Matthias Klose (doko) wrote :

checked, that the packages currently don't conflict.

wxwidgets2.5 has been removed from Debian because of license issues.
--
Martin Michlmayr
http://www.cyrius.com/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.